Skip to main content
`Ctrl`+`K`

# TSMonitorLGCtxDestroy

Destroys a line graph context that was created with `TSMonitorLGCtxCreate()`.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorLGCtxDestroy(TSMonitorLGCtx *ctx)

Collective

## Input Parameter

- ctx - the monitor context

## Note

Pass to `TSMonitorSet()` along with the context and `TSMonitorLGTimeStep()`

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSMonitorLGCtxCreate()`, `TSMonitorSet()`, `TSMonitorLGTimeStep()`

## Level

intermediate

## Location

src/ts/interface/tsmon.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages